Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinDoubleArrayWithLength Class Reference

double * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinDoubleArrayWithLength:
[legend]
Collaboration diagram for CoinDoubleArrayWithLength:
[legend]

## Public Member Functions
Get methods.
CoinBigIndex | getSize () const
| Get the size. More...
double * | array () const
| Get Array. More...
Set methods
void | setSize (int value)
| Set the size. More...
Condition methods
double * | conditionalNew (CoinBigIndex sizeWanted)
| Conditionally gets new array. More...
Constructors and destructors
| CoinDoubleArrayWithLength ()
| Default constructor - NULL. More...
| CoinDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed. More...
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength &rhs)
| Copy constructor. More...
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength *rhs)
| Copy constructor.2. More...
CoinDoubleArrayWithLength & | operator= (const CoinDoubleArrayWithLength &rhs)
| Assignment operator. More...
Public Member Functions inherited from CoinArrayWithLength
CoinBigIndex | getSize () const
| Get the size. More...
CoinBigIndex | rawSize () const
| Get the size. More...
bool | switchedOn () const
| See if persistence already on. More...
CoinBigIndex | capacity () const
| Get the capacity (just read it) More...
void | setCapacity ()
| Set the capacity to >=0 if <=-2. More...
const char * | array () const
| Get Array. More...
void | setSize (int value)
| Set the size. More...
void | switchOff ()
| Set the size to -1. More...
void | switchOn (int alignment=3)
| Set the size to -2 and alignment. More...
void | setPersistence (int flag, int currentLength)
| Does what is needed to set persistence. More...
void | clear ()
| Zero out array. More...
void | swap (CoinArrayWithLength &other)
| Swaps memory between two members. More...
void | extend (int newSize)
| Extend a persistent array keeping data (size in bytes) More...
char * | conditionalNew (CoinBigIndex sizeWanted)
| Conditionally gets new array. More...
void | conditionalDelete ()
| Conditionally deletes. More...
| CoinArrayWithLength ()
| Default constructor - NULL. More...
| CoinArrayWithLength (CoinBigIndex size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinArrayWithLength (CoinBigIndex size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size mode>0 size_ set to size and zeroed if size<=0 just does alignment If abs(mode) >2 then align on that as power of 2. More...
| CoinArrayWithLength (const CoinArrayWithLength &rhs)
| Copy constructor. More...
| CoinArrayWithLength (const CoinArrayWithLength *rhs)
| Copy constructor.2. More...
CoinArrayWithLength & | operator= (const CoinArrayWithLength &rhs)
| Assignment operator. More...
void | copy (const CoinArrayWithLength &rhs, int numberBytes=-1)
| Assignment with length (if -1 use internal length) More...
void | allocate (const CoinArrayWithLength &rhs, CoinBigIndex numberBytes)
| Assignment with length - does not copy. More...
| ~CoinArrayWithLength ()
| Destructor. More...
void | getArray (CoinBigIndex size)
| Get array with alignment. More...
void | reallyFreeArray ()
| Really get rid of array with alignment. More...
void | getCapacity (CoinBigIndex numberBytes, CoinBigIndex numberIfNeeded=-1)
| Get enough space (if more needed then do at least needed) More...

## Additional Inherited Members
Protected Attributes inherited from CoinArrayWithLength
char * | array_
| Array. More...
CoinBigIndex | size_
| Size of array in bytes. More...
int | offset_
| Offset of array. More...
int | alignment_
| Alignment wanted (power of 2) More...

## Detailed Description

double * version

Definition at line 678 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( |  | ) |
| inline

Default constructor - NULL.

Definition at line 716 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size | ) |
| inline

Alternate Constructor - length in bytes - size_ -1.

Definition at line 722 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size,
|  | int | mode
| ) |  |
| inline

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 731 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength & | rhs | ) |
| inline

Copy constructor.

Definition at line 736 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength * | rhs | ) |
| inline

Copy constructor.2.

Definition at line 741 of file CoinIndexedVector.hpp.

## Member Function Documentation

CoinBigIndex CoinDoubleArrayWithLength::getSize | ( |  | ) | const
| inline

Get the size.

Definition at line 684 of file CoinIndexedVector.hpp.

double* CoinDoubleArrayWithLength::array | ( |  | ) | const
| inline

Get Array.

Definition at line 689 of file CoinIndexedVector.hpp.

void CoinDoubleArrayWithLength::setSize | ( | int | value | ) |
| inline

Set the size.

Definition at line 698 of file CoinIndexedVector.hpp.

double* CoinDoubleArrayWithLength::conditionalNew | ( | CoinBigIndex | sizeWanted | ) |
| inline

Conditionally gets new array.

Definition at line 707 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength& CoinDoubleArrayWithLength::operator= | ( | const CoinDoubleArrayWithLength & | rhs | ) |
| inline

Assignment operator.

Definition at line 746 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinIndexedVector.hpp